endpoint_multilayer.h File Reference
`#include <gwenhywfar/endpoint.h>`

Go to the source code of this file.

## Typedefs

typedef void(* | GWEN_ENDPOINT_MULTILAYER_CHECKSOCKETS_FN) (GWEN_MSG_ENDPOINT *ep, GWEN_MSG_ENDPOINT *epChild, GWEN_SOCKETSET *readSet, GWEN_SOCKETSET *writeSet, GWEN_SOCKETSET *xSet)
typedef int(* | GWEN_ENDPOINT_MULTILAYER_STARTCONNECT_FN) (GWEN_MSG_ENDPOINT *ep, GWEN_MSG_ENDPOINT *epChild)

## Functions

GWENHYWFAR_API int | GWEN_MultilayerEndpoint_GetConnectTimeoutInSeconds (const GWEN_MSG_ENDPOINT *ep)
GWENHYWFAR_API int | GWEN_MultilayerEndpoint_GetReconnectTimeInSeconds (const GWEN_MSG_ENDPOINT *ep)
GWENHYWFAR_API int | GWEN_MultilayerEndpoint_GetStage (const GWEN_MSG_ENDPOINT *ep)
GWENHYWFAR_API GWEN_MSG_ENDPOINT * | GWEN_MultilayerEndpoint_new (const char *name, int groupId)
GWENHYWFAR_API GWEN_ENDPOINT_MULTILAYER_CHECKSOCKETS_FN | GWEN_MultilayerEndpoint_SetCheckSocketsFn (GWEN_MSG_ENDPOINT *ep, GWEN_ENDPOINT_MULTILAYER_CHECKSOCKETS_FN fn)
GWENHYWFAR_API void | GWEN_MultilayerEndpoint_SetConnectTimeoutInSeconds (GWEN_MSG_ENDPOINT *ep, int i)
GWENHYWFAR_API void | GWEN_MultilayerEndpoint_SetReconnectTimeInSeconds (GWEN_MSG_ENDPOINT *ep, int i)
GWENHYWFAR_API void | GWEN_MultilayerEndpoint_SetStage (GWEN_MSG_ENDPOINT *ep, int i)
GWENHYWFAR_API GWEN_ENDPOINT_MULTILAYER_STARTCONNECT_FN | GWEN_MultilayerEndpoint_SetStartConnectFn (GWEN_MSG_ENDPOINT *ep, GWEN_ENDPOINT_MULTILAYER_STARTCONNECT_FN fn)
GWENHYWFAR_API int | GWEN_MultilayerEndpoint_StartConnect (GWEN_MSG_ENDPOINT *ep)

## Typedef Documentation

## GWEN_ENDPOINT_MULTILAYER_CHECKSOCKETS_FN

typedef void(* GWEN_ENDPOINT_MULTILAYER_CHECKSOCKETS_FN) (GWEN_MSG_ENDPOINT *ep, GWEN_MSG_ENDPOINT *epChild, GWEN_SOCKETSET *readSet, GWEN_SOCKETSET *writeSet, GWEN_SOCKETSET *xSet)

Called from GWEN_MsgEndpoint_CheckSockets when status is GWEN_MSG_ENDPOINT_STATE_CONNECTING.

Definition at line 26 of file endpoint_multilayer.h.

## GWEN_ENDPOINT_MULTILAYER_STARTCONNECT_FN

typedef int(* GWEN_ENDPOINT_MULTILAYER_STARTCONNECT_FN) (GWEN_MSG_ENDPOINT *ep, GWEN_MSG_ENDPOINT *epChild)

Definition at line 21 of file endpoint_multilayer.h.

## Function Documentation

## GWEN_MultilayerEndpoint_GetConnectTimeoutInSeconds()

GWENHYWFAR_API int GWEN_MultilayerEndpoint_GetConnectTimeoutInSeconds | ( | const GWEN_MSG_ENDPOINT * | ep | ) |

References GWENHYWFAR_API.

## GWEN_MultilayerEndpoint_GetReconnectTimeInSeconds()

GWENHYWFAR_API int GWEN_MultilayerEndpoint_GetReconnectTimeInSeconds | ( | const GWEN_MSG_ENDPOINT * | ep | ) |

References GWENHYWFAR_API.

## GWEN_MultilayerEndpoint_GetStage()

GWENHYWFAR_API int GWEN_MultilayerEndpoint_GetStage | ( | const GWEN_MSG_ENDPOINT * | ep | ) |

References GWENHYWFAR_API.

## GWEN_MultilayerEndpoint_new()

GWENHYWFAR_API GWEN_MSG_ENDPOINT * GWEN_MultilayerEndpoint_new | ( | const char * | name,
|  | int | groupId )

References GWENHYWFAR_API.

## GWEN_MultilayerEndpoint_SetCheckSocketsFn()

GWENHYWFAR_API GWEN_ENDPOINT_MULTILAYER_CHECKSOCKETS_FN GWEN_MultilayerEndpoint_SetCheckSocketsFn | ( | GWEN_MSG_ENDPOINT * | ep,
|  | GWEN_ENDPOINT_MULTILAYER_CHECKSOCKETS_FN | fn )

## GWEN_MultilayerEndpoint_SetConnectTimeoutInSeconds()

GWENHYWFAR_API void GWEN_MultilayerEndpoint_SetConnectTimeoutInSeconds | ( | GWEN_MSG_ENDPOINT * | ep,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_MultilayerEndpoint_SetReconnectTimeInSeconds()

GWENHYWFAR_API void GWEN_MultilayerEndpoint_SetReconnectTimeInSeconds | ( | GWEN_MSG_ENDPOINT * | ep,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_MultilayerEndpoint_SetStage()

GWENHYWFAR_API void GWEN_MultilayerEndpoint_SetStage | ( | GWEN_MSG_ENDPOINT * | ep,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_MultilayerEndpoint_SetStartConnectFn()

GWENHYWFAR_API GWEN_ENDPOINT_MULTILAYER_STARTCONNECT_FN GWEN_MultilayerEndpoint_SetStartConnectFn | ( | GWEN_MSG_ENDPOINT * | ep,
|  | GWEN_ENDPOINT_MULTILAYER_STARTCONNECT_FN | fn )

References GWENHYWFAR_API.

## GWEN_MultilayerEndpoint_StartConnect()

GWENHYWFAR_API int GWEN_MultilayerEndpoint_StartConnect | ( | GWEN_MSG_ENDPOINT * | ep | ) |

References GWENHYWFAR_API.